Actualizar proyecto
curl --request PUT \
--url https://api.filexpress.app/api/external/projects/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "completed",
"end_date": "2026-12-10"
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'completed', end_date: '2026-12-10'})
};
fetch('https://api.filexpress.app/api/external/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/projects/{id}"
payload = {
"status": "completed",
"end_date": "2026-12-10"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'completed',
'end_date' => '2026-12-10'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"name": "Remodelación oficinas Grupo ABC",
"status": "completed",
"customer": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Grupo ABC S.A. de C.V."
},
"branch_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"start_date": "2026-09-01",
"end_date": "2026-12-15",
"budget": 25000,
"description": "Obra civil y mobiliario",
"quotation_id": null,
"created_at": "2026-08-28T11:00:00-06:00"
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Project not found"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Actualizar proyecto
Actualiza solo los campos enviados.
Permiso requerido: projects.write
PUT
/
projects
/
{id}
Actualizar proyecto
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Path Parameters
ID del proyecto
Body
application/json
Maximum string length:
255Required range:
x >= 0Estado.
Available options:
planned, in_progress, completed, on_hold, cancelled Maximum string length:
2000